%define majver %(echo %version | cut -d. -f1-2)
Name:          gnome-online-accounts
Version:       3.40.1
Release:       1mamba
Summary:       GNOME service to manage online accounts
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/
Source:        https://download.gnome.org/sources/gnome-online-accounts/%{majver}/gnome-online-accounts-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaccounts-glib-devel
BuildRequires: libatk-devel
BuildRequires: libblkid-devel
BuildRequires: libbrotli-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libe2fs-devel
BuildRequires: libffi-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcr-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjson-glib-devel
BuildRequires: libkrb5-devel
BuildRequires: liblzma-devel
BuildRequires: libmount-devel
BuildRequires: libp11-kit-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: librest-devel
BuildRequires: libsecret-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libsignon-glib-devel
BuildRequires: libsoup-devel
BuildRequires: libsqlite-devel
BuildRequires: libuuid-devel
BuildRequires: libwebkit2gtk-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libsecret-devel
BuildRequires: libsignon-glib-devel >= 2.1

%description
GNOME Online Accounts is a framework used for GNOME applications to access the user's online accounts.

%package devel
Group:         Development/Libraries
Summary:       Development package for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GNOME Online Accounts is a framework used for GNOME applications to access the user's online accounts.
This package provides the development files.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%configure --enable-gtk-doc
%make \
   LDFLAGS="-laccounts-glib -lsignon-glib"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#% find_lang %{name}-tpaw
%find_lang %{name}

#cat %{name}-tpaw.lang >> %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libgoa-1.0.so.*
%{_libdir}/libgoa-backend-1.0.so.*
%{_libdir}/girepository-1.0/Goa-1.0.typelib
%dir %{_libdir}/goa-1.0
%dir %{_libdir}/goa-1.0/web-extensions
%{_libdir}/goa-1.0/web-extensions/libgoawebextension.*
%{_datadir}/glib-2.0/schemas/org.gnome.online-accounts.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/goa-account*.svg
%{_datadir}/icons/hicolor/symbolic/apps/goa-account-*.svg
%{_datadir}/dbus-1/services/org.gnome.*.service
%{_libexecdir}/goa-*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/goa-1.0
%{_includedir}/goa-1.0/*
%{_libdir}/libgoa-1.0.a
%{_libdir}/libgoa-1.0.la
%{_libdir}/libgoa-1.0.so
%{_libdir}/libgoa-backend-1.0.a
%{_libdir}/libgoa-backend-1.0.la
%{_libdir}/libgoa-backend-1.0.so
%dir %{_libdir}/goa-1.0
%dir %{_libdir}/goa-1.0/include
%{_libdir}/goa-1.0/include/goaconfig.h
%{_datadir}/vala/vapi/goa-1.0.deps
%{_datadir}/vala/vapi/goa-1.0.vapi
%{_datadir}/gir-1.0/Goa-1.0.gir
%{_libdir}/pkgconfig/goa-1.0.pc
%{_libdir}/pkgconfig/goa-backend-1.0.pc
%doc NEWS

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/goa
%{_datadir}/gtk-doc/html/goa/*

%changelog
* Tue Oct 19 2021 Automatic Build System <autodist@mambasoft.it> 3.40.1-1mamba
- automatic version update by autodist

* Thu Apr 22 2021 Automatic Build System <autodist@mambasoft.it> 3.40.0-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.38.1-1mamba
- update to 3.38.1

* Sat Oct 10 2020 Automatic Build System <autodist@mambasoft.it> 3.38.0-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Automatic Build System <autodist@mambasoft.it> 3.37.90-1mamba
- automatic version update by autodist

* Wed Mar 11 2020 Automatic Build System <autodist@mambasoft.it> 3.36.0-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 3.35.90-1mamba
- automatic version update by autodist

* Tue Oct 29 2019 Automatic Build System <autodist@mambasoft.it> 3.34.1-1mamba
- automatic version update by autodist

* Thu Sep 12 2019 Automatic Build System <autodist@mambasoft.it> 3.34.0-1mamba
- automatic version update by autodist

* Wed Sep 11 2019 Automatic Build System <autodist@mambasoft.it> 3.33.92-1mamba
- automatic version update by autodist

* Mon Mar 25 2019 Automatic Build System <autodist@mambasoft.it> 3.32.0-1mamba
- automatic version update by autodist

* Sun Mar 17 2019 Automatic Build System <autodist@mambasoft.it> 3.31.90-1mamba
- automatic version update by autodist

* Mon Feb 11 2019 Automatic Build System <autodist@mambasoft.it> 3.30.2-1mamba
- automatic version update by autodist

* Thu Jan 17 2019 Automatic Build System <autodist@mambasoft.it> 3.30.1-1mamba
- automatic version update by autodist

* Sun Sep 23 2018 Automatic Build System <autodist@mambasoft.it> 3.30.0-1mamba
- automatic version update by autodist

* Mon Aug 13 2018 Automatic Build System <autodist@mambasoft.it> 3.28.0-1mamba
- automatic version update by autodist

* Mon Nov 20 2017 Automatic Build System <autodist@mambasoft.it> 3.24.4-1mamba
- automatic update by autodist

* Wed Sep 06 2017 Automatic Build System <autodist@mambasoft.it> 3.24.3-1mamba
- automatic version update by autodist

* Thu Aug 03 2017 Automatic Build System <autodist@mambasoft.it> 3.24.2-1mamba
- automatic version update by autodist

* Wed May 31 2017 Automatic Build System <autodist@mambasoft.it> 3.24.1-1mamba
- automatic version update by autodist

* Mon Apr 24 2017 Automatic Build System <autodist@mambasoft.it> 3.24.0-1mamba
- automatic version update by autodist

* Sat Mar 11 2017 Automatic Build System <autodist@mambasoft.it> 3.22.5-1mamba
- automatic version update by autodist

* Wed Jan 11 2017 Automatic Build System <autodist@mambasoft.it> 3.22.4-1mamba
- automatic version update by autodist

* Wed Dec 14 2016 Automatic Build System <autodist@mambasoft.it> 3.22.3-1mamba
- automatic version update by autodist

* Wed Nov 09 2016 Automatic Build System <autodist@mambasoft.it> 3.22.2-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 3.22.1-1mamba
- automatic version update by autodist

* Sun Sep 18 2016 Automatic Build System <autodist@mambasoft.it> 3.20.4-1mamba
- automatic update by autodist

* Thu Jul 28 2016 Automatic Build System <autodist@mambasoft.it> 3.20.3-1mamba
- automatic version update by autodist

* Tue Jul 12 2016 Automatic Build System <autodist@mambasoft.it> 3.20.2-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 3.20.1-1mamba
- automatic version update by autodist

* Thu Feb 11 2016 Automatic Build System <autodist@mambasoft.it> 3.18.3-1mamba
- automatic update by autodist

* Thu Nov 12 2015 Automatic Build System <autodist@mambasoft.it> 3.18.2.1-1mamba
- automatic version update by autodist

* Thu Oct 15 2015 Automatic Build System <autodist@mambasoft.it> 3.18.1-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Thu Sep 17 2015 Automatic Build System <autodist@mambasoft.it> 3.16.4.1-1mamba
- automatic version update by autodist

* Wed Jun 10 2015 Automatic Build System <autodist@mambasoft.it> 3.16.3-1mamba
- automatic update by autodist

* Wed May 13 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Tue Apr 14 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Sat Mar 28 2015 Automatic Build System <autodist@mambasoft.it> 3.14.3-1mamba
- automatic version update by autodist

* Fri Mar 27 2015 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Tue Apr 15 2014 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Sat Apr 05 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Tue Mar 18 2014 Automatic Build System <autodist@mambasoft.it> 3.10.3-1mamba
- automatic version update by autodist

* Wed Nov 13 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Wed Oct 30 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Tue Jul 16 2013 Automatic Build System <autodist@mambasoft.it> 3.9.4-1mamba
- automatic update by autodist

* Wed May 29 2013 Automatic Build System <autodist@mambasoft.it> 3.9.2-1mamba
- automatic update by autodist

* Wed May 01 2013 Automatic Build System <autodist@mambasoft.it> 3.9.1-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Fri Mar 29 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Wed Mar 06 2013 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Sun Oct 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Fri Jun 08 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Mon Oct 17 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0.1-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.0-1mamba
- package created by autospec
